Skip to main content
`Ctrl`+`K`

# TaoADMMSetRegularizerConstraintJacobian

Set the constraint matrix B for `TAOADMM` algorithm. Matrix B constraints z variable.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerConstraintJacobian(Tao tao, Mat J, Mat Jpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat, void *), void *ctx)

Collective

## Input Parameters

- tao - the `Tao` solver context

- J - user-created regularizer constraint Jacobian matrix

- Jpre - user-created regularizer Jacobian constraint matrix for constructing the preconditioner, often this is `J`

- func - function pointer for the regularizer constraint Jacobian update function

- ctx - user context for the regularizer Hessian

## See Also

`TaoADMMSetRegularizerCoefficient()`, `TaoADMMSetMisfitConstraintJacobian()`, `TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages